import { ContractKeypair } from './types';
export type EIP712Type = {
    name: string;
    type: string;
};
export type EIP712 = {
    domain: {
        chainId: number;
        name: string;
        verifyingContract: string;
        version: string;
    };
    message: {
        [key: string]: any;
    };
    primaryType: string;
    types: {
        [key: string]: EIP712Type[];
    };
};
export type GeneratePublicKeyParams = {
    name?: string;
    version?: string;
    chainId?: number;
    verifyingContract: string;
    keypair?: ContractKeypair;
};
export type FhevmToken = {
    keypair: ContractKeypair;
    eip712: EIP712;
};
export declare const generatePublicKey: (params: GeneratePublicKeyParams) => FhevmToken;
